Bug 175298 - net/tightvnc fails with clang
Summary: net/tightvnc fails with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 18:50 UTC by Simon
Modified: 2013-02-14 07:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon 2013-01-14 18:50:00 UTC
The net/tightvnc port will not build with clang currently.

Fix: 

Set the makefile to require GCC (or find out why it's not building)
How-To-Repeat: With:
CC=clang
CXX=clang++
CPP=clang-cpp
in /etc/make.conf, cd /usr/ports/net/tightvnc; make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-01-14 18:53:20 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2013-01-14 18:53:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 sib 2013-01-19 01:08:14 UTC
When I try to make tightvnc with clang, here's the output:

tightvnc # make
===>  Found saved configuration for tightvnc-1.3.10_3
===>  Extracting for tightvnc-1.3.10_3
=> SHA256 Checksum OK for tightvnc-1.3.10_unixsrc.tar.bz2.
===>   tightvnc-1.3.10_3 depends on file: /usr/local/bin/perl5.14.2 - found
===>  Patching for tightvnc-1.3.10_3
===>   tightvnc-1.3.10_3 depends on file: /usr/local/bin/perl5.14.2 - found
===>  Applying FreeBSD patches for tightvnc-1.3.10_3
===>   tightvnc-1.3.10_3 depends on executable: imake - found
===>   tightvnc-1.3.10_3 depends on file:
/usr/local/libdata/pkgconfig/xaw7.pc - found
===>   tightvnc-1.3.10_3 depends on file: /usr/local/bin/perl5.14.2 - found
===>   tightvnc-1.3.10_3 depends on file: /usr/local/bin/ccache - found
===>   tightvnc-1.3.10_3 depends on shared library: jpeg.11 - found
===>  Configuring for tightvnc-1.3.10_3
imake -DUseInstalled -I/usr/local/lib/X11/config
In file included from Imakefile.c:16:
In file included from /usr/local/lib/X11/config/Imake.tmpl:109:
/usr/local/lib/X11/config/FreeBSD.cf:451:35: error: '#' is not followed by
a macro parameter
#define IncludeMakefile(file) @@# dependencies are in .depend
                                  ^
In file included from Imakefile.c:16:
In file included from /usr/local/lib/X11/config/Imake.tmpl:316:
/usr/local/lib/X11/config/Imake.rules:1674:27: error: empty character
constant
        for flag in ${MAKEFLAGS} ''; do \                               @@\
                                 ^
/usr/local/lib/X11/config/Imake.rules:1897:35: error: '#' is not followed
by a macro parameter
#define IncludeMakefile(file) @@# dependencies are in .depend
                                  ^
In file included from Imakefile.c:16:
/usr/local/lib/X11/config/Imake.tmpl:2144:10: fatal error: ' X11 .rules'
file not found
#include ProjectRulesFile
         ^
/usr/local/lib/X11/config/Imake.tmpl:2142:35: note: expanded from macro
'ProjectRulesFile'
# define ProjectRulesFile       Concat3(<,TopLevelProject,.rules>)
                                        ^
/usr/local/lib/X11/config/Imake.rules:256:23: note: expanded from macro
'Concat3'
#define Concat3(a,b,c)a/**/b/**/c
                      ^
4 errors generated.
imake: Exit code 1.
  Stop.
===>  Building for tightvnc-1.3.10_3
"Makefile", line 11: Need an operator
"Makefile", line 12: Need an operator
"Makefile", line 15: Need an operator
"Makefile", line 16: Need an operator
"Makefile", line 17: Need an operator
"Makefile", line 18: Need an operator
"Makefile", line 20: Need an operator
"Makefile", line 38: Need an operator
"Makefile", line 39: Need an operator
"Makefile", line 40: Need an operator
"Makefile", line 56: Need an operator
"Makefile", line 57: Need an operator
"Makefile", line 62: Need an operator
"Makefile", line 63: Need an operator
"Makefile", line 64: Need an operator
"Makefile", line 147: Need an operator
"Makefile", line 148: Need an operator
"Makefile", line 149: Need an operator
"Makefile", line 162: Need an operator
"Makefile", line 163: Need an operator
"Makefile", line 166: Need an operator
"Makefile", line 167: Need an operator
"Makefile", line 168: Need an operator
"Makefile", line 169: Need an operator
"Makefile", line 256: Need an operator
"Makefile", line 475: Need an operator
"Makefile", line 516: Need an operator
"Makefile", line 517: Need an operator
"Makefile", line 526: Need an operator
"Makefile", line 527: Need an operator
"Makefile", line 528: Need an operator
"Makefile", line 529: Need an operator
"Makefile", line 530: Need an operator
"Makefile", line 531: Need an operator
"Makefile", line 532: Need an operator
"Makefile", line 533: Missing dependency operator
"Makefile", line 536: Need an operator
"Makefile", line 544: Need an operator
"Makefile", line 545: Need an operator
"Makefile", line 548: Need an operator
"Makefile", line 553: Need an operator
"Makefile", line 558: Need an operator
"Makefile", line 561: Need an operator
"Makefile", line 595: Need an operator
"Makefile", line 596: Need an operator
"Makefile", line 621: Need an operator
"Makefile", line 624: Need an operator
"Makefile", line 625: Need an operator
"Makefile", line 626: Missing dependency operator
make: fatal errors encountered -- cannot continue
*** [do-build] Error code 1

Stop in /basejail/usr/ports/net/tightvnc.
*** [build] Error code 1

Stop in /basejail/usr/ports/net/tightvnc.
Comment 4 dfilter service freebsd_committer 2013-02-14 07:25:45 UTC
Author: miwi
Date: Thu Feb 14 07:25:32 2013
New Revision: 312197
URL: http://svnweb.freebsd.org/changeset/ports/312197

Log:
  - Unbreak build for clang
  - While here trim header
  
  PR:		175298
  Submitted by:	Simon <sib@tormail.com>
  Approved by:	maintainer timeout

Modified:
  head/net/tightvnc/Makefile   (contents, props changed)

Modified: head/net/tightvnc/Makefile
==============================================================================
--- head/net/tightvnc/Makefile	Thu Feb 14 06:43:51 2013	(r312196)
+++ head/net/tightvnc/Makefile	Thu Feb 14 07:25:32 2013	(r312197)
@@ -1,10 +1,5 @@
-# ex:ts=8
-# New ports collection makefile for:	tightvnc
-# Date created:			Nov 24, 2001
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	tightvnc
 PORTVERSION=	1.3.10
@@ -27,6 +22,7 @@ CONFLICTS=	tridiavnc-[0-9]* vnc-[0-9]*
 
 WRKSRC=		${WRKDIR}/vnc_unixsrc
 
+USE_GCC=	yes
 USE_BZIP2=	yes
 USE_PERL5=	yes
 USE_IMAKE=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2013-02-14 07:26:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!